org.apache.xalan.xsltc.runtime.output

## Class TransletOutputHandlerFactory

- java.lang.Object
- - org.apache.xalan.xsltc.runtime.output.TransletOutputHandlerFactory

-     public class TransletOutputHandlerFactory
      extends java.lang.Object

  Author:
    Santiago Pericas-Geertsen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DOM`
    `static int` | `SAX`
    `static int` | `STREAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransletOutputHandlerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getNode()`
    `SerializationHandler` | `getSerializationHandler()`
    `static TransletOutputHandlerFactory` | `newInstance()`
    `void` | `setEncoding(java.lang.String encoding)`
    `void` | `setHandler(ContentHandler handler)`
    `void` | `setIndentNumber(int value)`
    `void` | `setLexicalHandler(LexicalHandler lex)`
    `void` | `setNextSibling(Node nextSibling)`
    `void` | `setNode(Node node)`
    `void` | `setOutputMethod(java.lang.String method)`
    `void` | `setOutputStream(java.io.OutputStream ostream)`
    `void` | `setOutputType(int outputType)`
    `void` | `setWriter(java.io.Writer writer)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STREAM

          public static final int STREAM

      See Also:
        Constant Field Values

    - #### SAX

          public static final int SAX

      See Also:
        Constant Field Values

    - #### DOM

          public static final int DOM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TransletOutputHandlerFactory

          public TransletOutputHandlerFactory()

  - ### Method Detail

    - #### newInstance

          public static TransletOutputHandlerFactory newInstance()

    - #### setOutputType

          public void setOutputType(int outputType)

    - #### setEncoding

          public void setEncoding(java.lang.String encoding)

    - #### setOutputMethod

          public void setOutputMethod(java.lang.String method)

    - #### setOutputStream

          public void setOutputStream(java.io.OutputStream ostream)

    - #### setWriter

          public void setWriter(java.io.Writer writer)

    - #### setHandler

          public void setHandler(ContentHandler handler)

    - #### setLexicalHandler

          public void setLexicalHandler(LexicalHandler lex)

    - #### setNode

          public void setNode(Node node)

    - #### getNode

          public Node getNode()

    - #### setNextSibling

          public void setNextSibling(Node nextSibling)

    - #### setIndentNumber

          public void setIndentNumber(int value)

    - #### getSerializationHandler

          public SerializationHandler getSerializationHandler()
                                                       throws java.io.IOException,
                                                              ParserConfigurationException

      Throws:
        `java.io.IOException`
        `ParserConfigurationException`

Copyright © 2014 Apache XML Project. All Rights Reserved.